posix_get_last_error
posix_getegid
POSIX Functions
PHP Manual

# posix_getcwd

(PHP 4, PHP 5)

posix_getcwd — Pathname of current directory

### Description

string posix_getcwd ( void )

Gets the absolute pathname of the script's current working directory. On error, it sets errno which can be checked using posix_get_last_error()

### Return Values

Returns a string of the absolute pathname on success. On error, returns `FALSE` and sets errno which can be checked with posix_get_last_error().

### Examples

Example #1 posix_getcwd() example

This example will return the absolute path of the current working directory of the script.

`<?php
echo 'My current working directory is '.posix_getcwd();
?>`

### Notes

> Note:

> This function can fail on

> - Read or Search permission was denied
> - Pathname no longer exists

posix_get_last_error
posix_getegid
POSIX Functions
PHP Manual